Subject: Re: [PATCH net-next 3/4] igb: enable internal PPS for the i210.

From: Richard Cochran <[email-masked]>
Date: Wed, 19 Nov 2014 21:26:04 +0100

On Wed, Nov 19, 2014 at 07:32:33PM +0000, Keller, Jacob E wrote:
> Good catch :)

(Well, my X session suddenly disappeared, and a kernel oops appeared in
the console... hard to overlook ;^)
 
> Did you see my concern about the reset path needing to fully restore the
> state since it is called after a hardware MAC reset which has cleared
> all these registers?

Yes, and that bit I copied from the first series a year ago. I don't
remember why, but IIRC that was necessary to let the SDP stuff work at
all. Maybe the reset function was called under different circumstances
back then. I'll take another look.

I find it a bit weird that the auxiliary functions don't work when the
interface or the link is down.

Thanks,
Richard